List Templates
GET
/api/v1/workflows/templates
const url = 'https://api.ultimateteam.ai/api/v1/workflows/templates';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/workflows/templates \ --header 'X-API-Key: <X-API-Key>'List available workflow templates.
Returns builtin templates. Enterprise tenants also see their custom templates merged into the result.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”category
Any of:
TemplateCategory
Classification of workflow template purpose.
string
null
Filter by category
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Templates Api V1 Workflows Templates Get
Array<object>
object
key
additional properties
any
Examplegenerated
[ {}]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}